
FreeNAS - Feature #42090

Add -a and -p to arcstat

08/17/2018 02:02 PM - Nick Principe

Status: Done Estimated time: 0.00 hour

Priority: No priority   

Assignee: Nick Principe   

Category: OS   

Target version: 11.2-BETA3   

Severity: Low Needs Merging: No

Reason for Closing:  Needs Automation: No

Reason for Blocked:  Support Suite Ticket: n/a

Needs QA: No Hardware

Configuration:

 

Needs Doc: No   

Description

There are a few enhancements to arcstat.py that would help make it more useful for medium-term data collection and analysis:

- Add an option to automatically print all available stats, instead of specifying fields individually, or relying on the pre-canned stat

groups

- Add an option to disable "pretty printing" of numbers, and leave them as raw numbers without suffixes or having been scaled

Related issues:

Has duplicate FreeNAS - Bug #42317: Improved arcstat. Added -a option to auto... Closed

Associated revisions

Revision 9671def7 - 08/20/2018 09:53 AM - Nick Principe 

tkt-42090: Improved arcstat. Added -a option to automatically print all valid st… (#1702)

Improved arcstat. Added -a option to automatically print all valid statistics. Added -p option to suppress scaling of printed data. Changed printing so

that there is no longer a trailing seperator character at the end of every line.

Ticket: #42090

History

#1 - 08/17/2018 02:53 PM - Nick Principe

- Status changed from Unscreened to In Progress

#2 - 08/20/2018 09:53 AM - Bug Clerk

- Status changed from In Progress to Ready for Testing

PR: https://github.com/freenas/freenas/pull/1702

#3 - 08/20/2018 10:10 AM - Dru Lavigne

- Has duplicate Bug #42317: Improved arcstat. Added -a option to automatically print all valid st… added

#4 - 08/20/2018 10:11 AM - Dru Lavigne

- Subject changed from Enhance arcstat.py to better support long-running CSV collection to Add -a and -p to arcstat

- Needs Merging changed from Yes to No
#5 - 09/06/2018 08:00 AM - Michael Reynolds

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

The a and p fields are there and do what was described.

root@freenas[~]# arcstat.py -a

time  hits  miss  read  hit%  miss%  dhit  dmis  dh%  dm%  phit  pmis  ph%  pm%  mhit  mmis  mread  mh%  mm%  arcsz     c   mfu   mru  mfug  mrug 

eskip  mtxmis  dread  pread

07:59:09   18M  652K   18M    96      3   18M  650K   96    3  6.1K  2.4K   71   28   17M  639K   18M   96    3   858M  8.5G   17M  341K     0     0   1.3K 

0    18M   8.5K

root@freenas[~]# arcstat.py -ap

time  hits  miss  read  hit%  miss%  dhit  dmis  dh%  dm%  phit  pmis  ph%  pm%  mhit  mmis  mread  mh%  mm%  arcsz  c  mfu  mru  mfug  mrug 

eskip  mtxmis  dread  pread

07:59:16  18075475  652746  18728221  96.51463959123506712143134150  3.48536040876493287856865850  18069339  650345 

96.52587618466209151821152537  3.47412381533790848178847463  6136  2401  71.87536605364882277146538597 

28.12463394635117722853461403  17718568  639188  18357756  96.51815831956803435016785276  3.48184168043196564983214724 

899985272  9129873408  17727619  341757  0  0  1280  0  18719684  8537

root@freenas[~]# arcstat.py -p

time  read  miss  miss%  dmis  dm%  pmis  pm%  mmis  mm%  arcsz  c

07:59:27  18733959  652755  3.48434092334674160437737693  650354  3.47310730834263708449401034  2401 

28.12463394635117722853461403  639195  3.48087884165117585410037066  899985272  9129873408

#8 - 09/07/2018 07:47 AM - Dru Lavigne

- Status changed from Passed Testing to Done

- Needs Doc changed from Yes to No

New UI Guide commit: https://github.com/freenas/freenas-docs/commit/5f40104013e3d47d7cabf763055ba2dcaf5ec7c2

Legacy UI Guide commit: https://github.com/freenas/freenas-docs/commit/6a80fccd864b5ce1e04780396347b65151eface5
